#!/usr/bin/env jython

import stilts
from java.lang import *
from java.sql import *
from batch import Batch

'''
Class encapsulating the init batch type (IN)
'''
class InitBatch(Batch):

    '''
    Constructor
    '''
    def __init__(self):
       super(InitBatch, self).__init__(
               "init", 
               "", 
               "init.fits",
               "localhost",
               "ipptopsps_scratch",
               "ipp",
               "ipp")

initBatch = InitBatch()
initBatch.createEmptyPspsTables()
initBatch.exportPspsTablesToFits()
